For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList apps
      • GETGet an app
      • PATCHUpdate an app
      • POSTCreate an app
      • DELDelete an app
      • GETGet constraints
      • POSTCreate constraint
      • GETGet constraint by ID
      • GETGet constraint versions
      • GETGet constraint version
      • PATCHUpdate constraint
      • DELDelete constraint
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceApps

Get constraints

GET
https://api.x.flatfile.com/v1/apps/:appId/constraints
GET
/v1/apps/:appId/constraints
$curl https://api.x.flatfile.com/v1/apps/appId/constraints \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "data": [
3 {
4 "id": "id",
5 "appId": "appId",
6 "validator": "validator",
7 "createdAt": "2024-01-15T09:30:00Z",
8 "updatedAt": "2024-01-15T09:30:00Z",
9 "description": "description",
10 "function": "function",
11 "options": {
12 "key": "value"
13 },
14 "label": "label"
15 },
16 {
17 "id": "id",
18 "appId": "appId",
19 "validator": "validator",
20 "createdAt": "2024-01-15T09:30:00Z",
21 "updatedAt": "2024-01-15T09:30:00Z",
22 "description": "description",
23 "function": "function",
24 "options": {
25 "key": "value"
26 },
27 "label": "label"
28 }
29 ]
30}
Returns constraints for an app
Was this page helpful?
Previous

Create constraint

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

appIdstringRequired
ID of the app

Headers

X-Disable-Hooks"true"Required

Query parameters

includeBuiltinsbooleanOptional

Whether to include built-in constraints

Response

This endpoint returns an object.
datalist of objects